org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTTryBlockStatement

All Superinterfaces:
  IASTAttributeOwner, IASTNode, IASTStatement

    public interface ICPPASTTryBlockStatement
    extends IASTStatement

This interface represents the try block statement. try { //body } catch (Exc e) { // handler } catch ( ... ) { }

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `BODY` `BODY` is the body of the try block.
`static ASTNodeProperty` `CATCH_HANDLER` `CATCH_HANDLER` are the exception catching handlers.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStatement

`EMPTY_STATEMENT_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addCatchHandler(ICPPASTCatchHandler handler)` Adds catch handler.
`ICPPASTTryBlockStatement` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTTryBlockStatement` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`ICPPASTCatchHandler[]` `getCatchHandlers()` Returns the catch handlers.
`IASTStatement` `getTryBody()` Returns the try body.
`void` `setTryBody(IASTStatement tryBlock)` Sets the try body.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### BODY

    static final ASTNodeProperty BODY

`BODY` is the body of the try block.

#### CATCH_HANDLER

    static final ASTNodeProperty CATCH_HANDLER

`CATCH_HANDLER` are the exception catching handlers.

### Method Detail

#### setTryBody

    void setTryBody(IASTStatement tryBlock)

Sets the try body.

Parameters:
  `tryBlock` - `IASTStatement`

#### getTryBody

    IASTStatement getTryBody()

Returns the try body.

Returns:
  `IASTStatement`

#### addCatchHandler

    void addCatchHandler(ICPPASTCatchHandler handler)

Adds catch handler.

Parameters:
  `handler` - `ICPPASTCatchHandler`

#### getCatchHandlers

    ICPPASTCatchHandler[] getCatchHandlers()

Returns the catch handlers.

Returns:
  `ICPPASTCatchHandler[]`

#### copy

    ICPPASTTryBlockStatement copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Since:
  5.1

#### copy

    ICPPASTTryBlockStatement copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3